Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 02-10-2022 22:41:37

antonio
Membre
Distrib. : LMDE 5 Elsie
Noyau : 5.10.0-14-amd64
(G)UI : Cinnamon 5.2.7
Inscription : 16-11-2021

[RESOLU]Impossible de désinstaller Pidgin

Bonjour;
Je souhaite désinstaller Pidgin; je passe par la logithèque et à la demande de suppression; je reçois le message suivant: Impossible de désinstaller Messagerie Pidgin: The following packages have unmet dependencies.
Comment faire ?

Dernière modification par antonio (03-10-2022 10:09:04)


LMDE 5 Elsie, Cinnamon 5.2.7, noyau 5.10.0-14-amd64, 8Go de ram, processeur Intel Celeron J4125 CPU 2.00GHz × 4, carte graphique Intel Corporation Device 3185; DD 256 Go SSD, en dual boot avec W10

Hors ligne

#2 02-10-2022 23:20:54

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.19 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : [RESOLU]Impossible de désinstaller Pidgin

Pour plus de détails sur l’erreur, tente la désinstallation depuis une console :

apt remove pidgin\*


Jouer sous Debian ? Facile !

Hors ligne

#3 02-10-2022 23:36:01

antonio
Membre
Distrib. : LMDE 5 Elsie
Noyau : 5.10.0-14-amd64
(G)UI : Cinnamon 5.2.7
Inscription : 16-11-2021

Re : [RESOLU]Impossible de désinstaller Pidgin

Excellent!
Cela a fonctionné; mais pourquoi ce blocage?

LMDE 5 Elsie, Cinnamon 5.2.7, noyau 5.10.0-14-amd64, 8Go de ram, processeur Intel Celeron J4125 CPU 2.00GHz × 4, carte graphique Intel Corporation Device 3185; DD 256 Go SSD, en dual boot avec W10

Hors ligne

#4 03-10-2022 12:13:03

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.19 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : [RESOLU]Impossible de désinstaller Pidgin

Sans plus de détail sur le message d’erreur, rien de certain wink

Je pense que la différence majeure entre les deux tentatives c’est que la première cherchait à désinstaller uniquement le paquet principal de Pidgin, alors que la seconde demandait la désinstallation de Pidgin et toutes ses extensions. Peut-être que les dépendances entre les extensions et le paquet principal étaient en cause dans l’erreur de la première tentative.

Jouer sous Debian ? Facile !

Hors ligne

#5 03-10-2022 13:46:27

antonio
Membre
Distrib. : LMDE 5 Elsie
Noyau : 5.10.0-14-amd64
(G)UI : Cinnamon 5.2.7
Inscription : 16-11-2021

Re : [RESOLU]Impossible de désinstaller Pidgin

Pour éclaircir, ce n'est pas sur ce PC, et c'est sur une DEBIAN 11.5.
Pour supprimer ce logiciel, je suis passé par l'interface "Logiciels installés", je l'ai sélectionné, et on a la possibilité de le supprimer.
La question est de savoir quelle ligne de commande est faite sur cette option de "supprimer"?
En tout cas un grand merci à toi; ça m'a permis de savoir que \* signifie toutes extensions.

LMDE 5 Elsie, Cinnamon 5.2.7, noyau 5.10.0-14-amd64, 8Go de ram, processeur Intel Celeron J4125 CPU 2.00GHz × 4, carte graphique Intel Corporation Device 3185; DD 256 Go SSD, en dual boot avec W10

Hors ligne

#6 03-10-2022 15:01:10

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.19 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : [RESOLU]Impossible de désinstaller Pidgin

C’est bien ça, donner "pidgin\*" à la commande apt revient à lui donner la liste de tous les paquets dont le nom commence par "pidgin". Ça correspond plus exactement à la liste renvoyée par la commande suivante :

apt list pidgin\*



Je pense que la commande lancée via l’interface graphique ressemblait plutôt à celle-ci :

apt remove pidgin

Mais je ne saurais pas comment le vérifier.


Jouer sous Debian ? Facile !

Hors ligne

#7 03-10-2022 15:20:30

antonio
Membre
Distrib. : LMDE 5 Elsie
Noyau : 5.10.0-14-amd64
(G)UI : Cinnamon 5.2.7
Inscription : 16-11-2021

Re : [RESOLU]Impossible de désinstaller Pidgin

Tu as sans doute raison pour la commande, d'où le blocage.
En tout cas je tiens à te remercier toi et tous ceux qui offrent de leur temps et compétences pour renseigner et aider tous ceux comme moi qui cherchent à comprendre.
On vient sur Linux un peu par curiosité et lassitude de WS, mais c'est bien grâce à vous tous que l'on y reste et qu'on le conseille.

LMDE 5 Elsie, Cinnamon 5.2.7, noyau 5.10.0-14-amd64, 8Go de ram, processeur Intel Celeron J4125 CPU 2.00GHz × 4, carte graphique Intel Corporation Device 3185; DD 256 Go SSD, en dual boot avec W10

Hors ligne

Pied de page des forums